[Unit]
Description=Makes data directory owned by the appropriate uid/gid
RequiresMountsFor={{ data_disk.path  }}

[Install]
WantedBy=local-fs.target

[Service]
Type=oneshot
RemainAfterExit=yes
# If user does not exist yet, ignore the error. But it means that the one
# creating the user must give this directory to the user if needed.
ExecStart=/bin/sh -c "chown -R {{ data_disk.uid }}:{{ data_disk.gid}} {{ data_disk.path }} ; exit 0;"
